Name:    windows-usb-image-sh
Version: 0.1.git.50.b8b1c5a7
Release: 1%{?dist}
Summary: Bash script for copying disk images to block devices

License: GPLv3+
URL:     https://github.com/SocMinarch/windows-usb-image-sh
%if ! 0%{?el6}
VCS:     git+https://github.com/SocMinarch/windows-usb-image-sh.git#b8b1c5a7d9e542c24ad7a5c4649483a5ca482708:
%endif

Source:  windows-usb-image-sh-b8b1c5a7.tar.gz

Requires: rsync wimlib

BuildArch: noarch

%description
windows-usb-image-sh is a Bash script for copying disk images to block devices. It can either copy the disk image files to the block device (Copy Mode), or use DD to copy the disk image itself to the block device. Checksums are performed on both the source image and the destination block device to ensure data integrity.

%prep
%setup -T -b 0 -q -n windows-usb-image-sh

%install
install -D -m 755 windows-usb-image.sh %buildroot/%_bindir/windows-usb-image

%files
/%_bindir/windows-usb-image

%changelog
* Sat Dec 29 2018 Adam Chance <adam.chance10@btinternet.com> 0.1-1
- Don't show the help at the end of the script if the checksums fail
- Don't use a subshell when creating the NTFS checksum file
- Properly handle NVMe drives
- Fix the EL6 RPM SPEC check
- Don't add the `VCS` tag to EL6 builds
- Merge pull request #17 from SocMinarch/rpm-requires
- Move the build badge to the top of the README
- Include a COPR build badge for displaying build status of the script
- Specify what packages are required for the script to run
- Merge pull request #15 from SocMinarch/full-help
- Show more detailed help with the '-H' option
- Fail the script if copying UEFI:NTFS fails
- Show the help page if no arguments are given to the script
- Fix the Check Mode option requiring a value
- Generate an RPM SPEC file with `rpkg`
- Install the source file into the binary directory
- Set the correct Release version
- State that the script is architecture-independent
- Specify the name of the script in the RPM SPEC
- Extract the Zip archive that contains the script
- Initial commit on a SPEC file for building RPM packages
- Update the built-in help and `README.md` file to reflect that the script is
now written in Bash
- Minor text fixes
- Fix a possible issue with UEFI:NTFS
- Allow using `/dev/sdX` block devices as well as `/dev/disk/by-id/*`
- Minor text fixes
- Fix indentation
- Use code formatting in the `README.md` file
- Update the `README.md` file
- Improve the builtin help
- Fix DD mode
- Ensure that the source ISO file is checksummed
- Specify that either Copy Mode or DD Mode must be chosen
- Add the `-D` switch for enabling DD mode
- Use `getopts` instead of positional command-line arguments
- Don't attempt to unmount the USB twice
- Only overwrite the destination USB if it doesn't match the ISO checksum
- Standardise `if` statements
- Enable copying an image to a USB with DD
- Copy UEFI:NTFS before Windows
- Cleanup temporary files
- Copy UEFI:NTFS and Windows at the same time
- Use UEFI:NTFS instead of creating an ESP
- Only record the current working directory before it needs to be changed
- Quote the directory for `find` to search in
- Remove the unused "EFI_PASS" variable
- Merge branch 'master' into background-subshell
- Silently checksum the destination USB
- Record the current directory before generating the checksum files
- Checksum the destination USB rather than the source ISO
- Have grep only return an error code
- Deduplicate some code
- Don't depend on either partition successfully being copied
- Don't use a subshell for finding checksum errors
- Create the EFI and Windows partitions at the same time
- Copy the EFI and Windows files at the same time
- Minor text fixes
- Remove the "efi" directory from the Windows partition
- Add more progress output
- Allow the partition block size to be set on the command-line
- Provide more output to the user about the progress of the USB creation
- Use FAT32 instead of VFAT for the EFI System Partition
- Unmount the USB before partitioning it
- Create a FAT32 formatted EFI System Partition
- Remove temporary files in one command
- Update the example to show that the destination must be referred to by its ID
- Include an example for running the script
- Warn if the USB fails a checksum
- Prevent globbing and word splitting
- Don't create temporary files until they're required
- Don't power off the USB when copying has completed
- Use SHA1 for checksums
- Allow the source ISO, destination disk, and checksum to be specified on the
command-line
- Initial commit of script
- Initial commit
